package br.ufrn.imd.deposit.controller;

import br.ufrn.imd.deposit.domain.Client;
import br.ufrn.imd.deposit.service.DepositService;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.*;

@AllArgsConstructor
@RestController
@RequestMapping("/banking/client/{id}")
public class DepositController {
    @Autowired
    private final DepositService service;

    @PatchMapping
    @ResponseStatus(HttpStatus.OK)
    public Client deposit(@PathVariable Integer id, @RequestParam(name = "value") Double value) {
        return service.deposit(value, new Client(id));
    }
}
